/**************---< TECHNO ROAD.inc >---**************/
/*                                                   */
/*   File        :coron_wait.h                       */
/*   Version     :v3.0.0                             */
/*   Date        :2014/05/09                         */
/*   Author      :                                   */
/*   Description :Wait routine Library Header        */
/*                                                   */
/*    Copyright(C) TECHNO ROAD Inc.                  */
/*                 http://techno-road.com/           */
/*****************************************************/
#ifndef CORON_WAIT_H_
#define CORON_WAIT_H_

extern void wait_timer(u32 time_x100us);
extern void wait_timer_sec(u32 time_sec);
extern void wait_timer_msec(u32 time_msec);
extern void wait_timer_usec(u32 time_usec);
extern void wait_loop(vu32 loop);
extern void wait_init(void);
extern void SysTick_Configuration(void);
extern void Handler_SysTick(void);

extern vu8 	wait_timer_flag;
extern vu32 wait_timer_count;

#endif /*CORON_WAIT_H_*/
