/*********************---< TECHNO ROAD.inc >---*********************/
/*                                                                 */
/*                    [Coron sample programs]                      */
/*                      Ex11_RobotHandSet                          */
/*                                                                 */
/*        File        :main.c                                      */
/*        Version     :v3.0.1                                      */
/*        Date        :2017/12/04                                  */
/*        Author      :                                            */
/*        Description :Main protocol                               */
/*                                                                 */
/*            Copyright(C) TECHNO ROAD Inc.                        */
/*                          http://techno-road.com/                */
/*******************************************************************/
/*-------------------------------------------------------------------
 KvȂ́
 ECoron+{,5`6VACA_v^(̓obe[)
 E{bgnhZbg
 ---------------------------------------------------------------------
 @\
 ECoron̏
 
 ERCT[{o͂
 
 EL[͂ɂARC1-0`RC1-3ɐڑꂽT[{Rg[
 'a' rJ
 's' r
 'z' r
 'x' rグ

 ---------------------------------------------------------------------
 gp@

 ij
 @MOTORdXCb`OFFɂĂD

 iUSBʐM̏@ڑEx04_USB_COMmFBj
 AvO܂ꂽCoronp\RUSBŐڑĂB
 BCoronUSB CDCFꂽCfoCX}l[W(Rg[plVXe)
 NCoronCOM|[gԍmFĂ(|[g"STM32 Virtual COM Port")
 CnCp[^[~iTeraTermȂǂ̃^[~i\tgŐقǊmF
 COM|[gԍŐڑJnĂ

 ([^)
 DCoron{[hRC1-0`RC1-3RCT[{[^RlN^̌ɒӂĐڑĂD
 ڑ@̓{bgnhZbgt̑gĐQƂB
 E5`6VACA_v^(̓obe[)CoronɐڑĂD
 F[^ɎwȂǋ܂Ȃ悤ɒӂȂC
 MOTORdXCb`ONɂĂDRCT[{[^܂D
 GCŋNTeraTermɁAuavusvuzvuxv ̊eL[͂
 {bgA[܂D


 **********************
 n[hEFA͏]Coron̂܂܂ŁAJ̂IDE3ȍ~ɍXVꂽ́A
 TvvWFNginc >coron_conf.hɂ
u#define _CORON_PLUSv
̒OɁu//vtăRgȂƃTvgpł܂̂łӂB

 -------------------------------------------------------------------*/

//===================================================================
// Includes
//===================================================================
#include "stm32f10x_lib.h"	//ST}CNCu
#include "coron_lib.h"		//CoronpCu
//[U[֐
void PrintRCMot(); //RCT[{̎wߒl\

//===================================================================
// main֐
//===================================================================
int main(void) {
	// ꂼRCT[{̏l߂Ă܂B
	// z[̈ʒüႢ̍邽߁A̐lKXCĂB
	int rc_home[4] = { 2000, 1760, 1220, 1160 };
	int move = 25;//ړ

	rc_mot_ipos[RC1][0] = rc_home[0];
	rc_mot_ipos[RC1][1] = rc_home[1];
	rc_mot_ipos[RC1][2] = rc_home[2];
	rc_mot_ipos[RC1][3] = rc_home[3];
	RC_move(20); // 20msec x (100) = 2sec
	RC_enable(); //PWMM̏o͋(o PWM->1500us)
	wait_timer_msec(500); //500msecҋ@

	while (1) {
		char buf = USB_getc(1); //1ByteM (1)Mҋ@ (0)Mҋ@Ȃ
		//͕o
		USB_putc(buf);
		USB_puts("\r\n");

		//͕̏
		if (buf == 'a') { //rJ
			rc_mot_ipos[RC1][0] += move;
			rc_mot_ipos[RC1][2] -= move;
			RC_move(20); // 20msec x (100) = 2sec
			while (rc_step_flag); //I܂ő҂
			PrintRCMot();//T[{wߊp̕\

		} else if (buf == 's') { //r
			rc_mot_ipos[RC1][0] -= move;
			rc_mot_ipos[RC1][2] += move;
			RC_move(20); // 20msec x (100) = 2sec
			while (rc_step_flag); //I܂ő҂
			PrintRCMot();

		} else if (buf == 'z') { //r낷
			rc_mot_ipos[RC1][1] += move;
			rc_mot_ipos[RC1][3] -= move;
			RC_move(20); // 20msec x (100) = 2sec
			while (rc_step_flag); //I܂ő҂
			PrintRCMot();

		} else if (buf == 'x') { //rグ
			rc_mot_ipos[RC1][1] -= move;
			rc_mot_ipos[RC1][3] += move;
			RC_move(20); // 20msec x (100) = 2sec
			while (rc_step_flag); //I܂ő҂
			PrintRCMot();
		}
		wait_timer_msec(10); //msecҋ@
	}

	return 0;
}

// RCT[{wߒl(ipos)̕\
void PrintRCMot() {
	USB_puts("RC(0,1,2,3) =");
	USB_putn(rc_mot_ipos[RC1][0], 4);
	USB_puts(", ");
	USB_putn(rc_mot_ipos[RC1][1], 4);
	USB_puts(", ");
	USB_putn(rc_mot_ipos[RC1][2], 4);
	USB_puts(", ");
	USB_putn(rc_mot_ipos[RC1][3], 4);
	USB_puts("\r\n");

}

//===================================================================
// End of Program
//===================================================================


